DVBLAST(1)

NAME
DVBlast - Simple and powerful dvb streaming application

SYNOPSIS
dvblast [-q] [-c <config_file>] [-r <remote_socket>] [-t <ttl>] [-o <SSRC_IP>] [-i <RT_priority>] [-a <adapter>] [-n <frontend_number>] [-y <ca_number>] [-S <diseqc>] [-k <uncommitted port>] [-f <frequency>] [-D <src_host>[:<src_port>][[@<src_mcast>][:<port>]][/<opts>]] [-A <ASI_adapter>] [-s <symbol_rate>] [-v <0|13|18>] [-p] [-b <bandwidth>] [-I <inversion>] [-F <fec_inner>] [-m <modulation>] [-R <rolloff>] [-P <pilot>] [-K <fec_lp>] [-G <guard_interval>] [-H <hierarchy>] [-X <transmission>] [-O <lock_timeout>] [-u] [-w] [-U] [-L <latency>] [-E <retention>] [-d <dest_IP>[<:port>][/<opts>]] [-z] [-C] [-e] [-M <network_name>] [-N <network_ID>] [-T] [-j <system_charset>] [-W] [-Y] [-l] [-g <logger ident>] [-Z <mrtg_file>] [-V] [-h] [-0 pid_mapping] [-1 <mis_id>] [-2 <size>] [-5 <DVBS|DVBS2|DVBC_ANNEX_A|DVBT|ATSC>] [-J <DVB_charset>] [-B <provider_name>] [-Q <quit_timeout>] [-x <text|xml>]

DESCRIPTION
DVBlast is a simple and powerful streaming application based on the linux-dvb API. It opens a DVB device, tunes it, places PID filters, configures a CAM module, and demultiplexes the packets to several RTP outputs.

DVBlast is designed to be the core of a custom IRD or CID, based on a PC with Linux-supported DVB cards.

DVBlast does not do any kind of processing on the elementary streams, such as transcoding or remultiplexing. it does not stream from plain files, only DVB devices. If you were looking for these features, switch to VLC.

OPTIONS

-a, --adapter <adapter>
    Address of the adapter

-A, --asi-adapter
    Read packets from an ASI adapter (0-n). If support for Deltacast ASI cards is compiled in, prefix the adapter number with "deltacast:" to select a Deltacast input. Deltacast inputs are numbered as (100 * card number) + channel number.

-b, --bandwidth <bandwidth>
    Frontend bandwidth

-B, --provider-name <name>
    Service provider name to declare in the SDT. If you want to change provider name per output use /srvprovider= output option in the config file.

-c, --config-file <config file>
    Use the given configuration file

-C, --dvb-compliance
    Pass through or build the mandatory DVB tables

-d, --duplicate <dest IP:port>
    Duplicate all received packets to a given destination

-D, --rtp-input
    Read packets from a multicast address instead of a DVB card

-W, --emm-passthrough
    Enable EMM pass through (CA system data)

-Y, --ecm-passthrough
    Enable ECM pass through (CA program data)

-e, --epg-passthrough
    Enable EPG pass through (EIT data)

-E, --retention <retention>
    Maximum retention allowed between input and output (default: 40 ms)

-f, --frequency <frequency>
    Frontend frequency. If '-' is specified instead of a numeric value, the frontend will be not be tuned by dvblast and you should use external tuning tool (szap) to tune it.

-8, --lnb-type universalold-sky
    Choose LNB type. Default: 'universal' - Universal LNB ("Astra" LNB)

-F, --fec-inner <FEC>
    Forward Error Correction used by satellite (FEC Inner)
    DVB-S2 0|12|23|34|35|56|78|89|910|999 (default auto: 999)

-G, --guard <interval>
    DVB-T guard interval
    DVB-T 32 (1/32)|16 (1/16)|8 (1/8)|4 (1/4)|-1 (auto, default)

-h, --help
    Print the help message

-H, --hierarchy <hierarchy>
    DVB-T hierarchy (0, 1, 2, 4 or -1 auto, default)

-i, --priority <RT priority>
    Real time priority

-I, --inversion <inversion>
    Inversion (-1 auto, 0 off, 1 on)

-j, --system-charset <charset>
    Character set used for printing messages (default UTF-8)

-J, --dvb-charset <charset>
    Character set used in output DVB tables (default ISO-8859-1)

-k, --uncommitted <uncommitted port>
    Port number for uncommitted DiSEqC switch (0: no uncommitted DiSEqC swtich, 1-16)

-K, --fec-lp
    DVB-T low priority FEC (default auto)

-5, --delsys <delivery_system>
    Select delivery system. Possible values: DVBS|DVBS2|DVBC_ANNEX_A|DVBT|ATSC (default guessed)

-1, --multistream-id <stream_id>
    Set stream ID for multistream capable transponders. Value: 0-2147483648 (default: 0)

--multistream-id-pls-mode <ROOT|GOLD|COMBO>
    Set PLS mode used in multistream-id calculation. Possible values are: ROOT GOLD and COMBO (default: ROOT). If this option is set multistream-id option is overwritten.

--multistream-id-pls-code <0-262143>
    Set PLS code used in multistream-id calculation. Possible values are in range 0..262143 (default: 0). If this option is set multistream-id option is overwritten.

--multistream-id-is-id <0-255>
    Set IS id used in multistream-id calculation. Possible values are in range 0..255 (default: 0). If this option is set multistream-id option is overwritten.

-l, --logger
    Send messages to syslog instead of stderr

-g, --logger-ident <logger_ident>
    Set the program name that will appear in syslog (default: dvblast /the executable name/).

-L, --latency <latency>
    Maximum latency allowed between input and output (default: 100 ms)

-m, --modulation
    Modulation
    DVB-C qpsk|qam_16|qam_32|qam_64|qam_128|qam_256 (default qam_auto)
    DVB-T qam_16|qam_32|qam_64|qam_128|qam_256 (default qam_auto)
    DVB-S2 qpsk|psk_8|apsk_16|apsk_32 (default legacy DVB-S)

-M, --network-name <name>
    DVB network name to declare in the NIT

-n, --frontend-number <frontend number>
    The frontend number

-y, --ca-number <ca_dev_number>
    CA device number. Default: 0

-2, --dvr-buf-size <size>
    Sets the size of the DVR TS buffer in bytes.

-N, --network-id <ID>
    DVB network ID to declare in the NIT

-o, --rtp-output <SSRC IP>
    RTP output IP

-O, --lock-timeout <timeout>
    Timeout for the lock operation (in ms)

-p, --force-pulse
    Force 22kHz pulses for high-band selection (DVB-S)

-P, --pilot
    DVB-S2 Pilot (-1 auto, 0 off, 1 on)

-q, --quiet
    Be quiet (less verbosity, repeat or use number for even quieter)

-Q, --quit-timeout <delay>
    When locked, quit after this delay (in ms), or after the first lock timeout

-r, --remote-socket <remote socket>
    Remote socket to use

-R, --rolloff <rolloff>
    Rolloff value to use
    DVB-S2 35=0.35|25=0.25|20=0.20|0=AUTO (default: 35)

-s, --symbol-rate <symbol rate>
    Symbole rate

-S, --diseqc <diseqc>
    Satellite number for diseqc (0: no diseqc, 1-4, A or B)

-t, --ttl <ttl>
    Time-To-Live of the multicast stream

-T, --unique-ts-id
    Generate unique TS ID for each program

-u, --budget-mode
    Turn on budget mode (no hardware PID filtering)

-U, --udp
    Use raw UDP rather than RTP (required by some IPTV set top boxes)

-v, --voltage <0|13|18>
    Voltage to apply to the LNB (QPSK)

-V, --version
    Only display the version

-w, --select-pmts
    Set a PID filter on all PMTs. This option is automatically enabled when config file is used. To disable setting PMT filters in case of config file is used, add --select-pmts after --config-file <file> parameter.

-x, --print
    Print interesting events on stdout in a given format

-X, --transmission <transmission>
    DVB-T transmission (2, 4, 8 or -1 auto, default

-z, --any-type
    pass through all ESs from the PMT, of any type

-Z, --mrtg-file <mrtg_file>
    Every 10 seconds log statistics in <mrtg_file>. The file has 4 numbers in it and the format is: <passed_bytes> <error_packets> <packets_with_seq_errors> <scrambled_packets>

-0, --pidmap <pmtpid,audiopid,videopid,spupid>
    Map the elementary stream pids to the values given for all elementary streams. Where there are multiple audio pids, then these will be mapped to audiopid, auiopid+1, audiopid +2 and so on.

SEE ALSO
Read the README file for more information about the configuration of dvblast.

AUTHORS
Writen by Marian Ďurkovič, Andy Gatward, Christophe Massiot and Jean-Paul Saman

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.